## Index

### Type aliases

- AsObject

## Type aliases

### AsObject

AsObject: { depositTxId: string; depositTxWithoutWitnesses: Uint8Array | string; pubKeyRing?: PubKeyRing . AsObject ; senderNodeAddress?: NodeAddress . AsObject ; tradeFeeTxId: string; tradeId: string; uid: string }

- Defined in src/protobuf/pb_pb.d.ts:1796

#### Type declaration

- ##### depositTxId: string

- ##### depositTxWithoutWitnesses: Uint8Array | string

- ##### Optional pubKeyRing?: PubKeyRing . AsObject

- ##### Optional senderNodeAddress?: NodeAddress . AsObject

- ##### tradeFeeTxId: string

- ##### tradeId: string

- ##### uid: string

Generated using TypeDoc